<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{348,186,538,342}</property>
    <property name="Name">[vda00getbico]</property>
    <property name="Caption">[Selecione Bico]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,vListBox}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[0 - No Border]</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\fundo_peq.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) 
oListBox:bLostFocus := {|| wcbbico := VAL(LEFT( oListBox:aItems[vListBox], AT( ".", oListBox:aItems[vListBox]) -1)) , oDlg:CLOSE() , .t.}]]>
  </method>
  <part class="bitmap">
    <style>
      <property name="Geometry">{10,90,131,107}</property>
      <property name="Name">[oBitmap1]</property>
      <property name="Bitmap">[icon\bomba_bico2.jpg]</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{143,19,387,270}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="listbox">
      <style>
        <property name="Geometry">{149,36,375,248}</property>
        <property name="Name">[oListbox]</property>
        <property name="varName">[vListBox]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700" italic="255"/>
        </property>
        <property name="TabIndex">37</property>
      </style>
      <method name="onInit">
        <![CDATA[cb_bico->(DBGOTOP())
DBEVAL( {|| IF(.not. DELETED(), AADD(oListBox:aItems, LTRIM(STR(codbico,3))+"."+desc), NIL) }) 
vListBox:=1
oListBox:Refresh()]]>
      </method>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{382,303,70,29}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Confirma]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{460,303,70,29}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[Cancela]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{148,6,362,19}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Selecione o Bico do Abastecimento]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">38</property>
    </style>
  </part>
</part>
